
QGIS Application - Bug report #4113

List of recently used coord systems is growing

2011-07-25 07:27 AM - Bruno Chatenoux

Status: Closed

Priority: Normal

Assignee:

Category: GUI

Affected QGIS version: Regression?: No

Operating System: Windows Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed

Crashes QGIS or corrupts data: Copied to github as #: 14095

Description

It seems the problem mentioned in #2805 persist in 1.7.0 (and maybe 1.6, but I never noticed it)

Every time you move back to the CRS tab of the project properties (after changing tab) the list of Recently used CRS is increased (starting

from 2 CRS, you get 4, then 6, then 8...

History

#1 - 2011-08-04 02:03 PM - Jan Schreiber

- File bug4113fix.patch added

I was able to reproduce the problem on Ubuntu. Each time a showEvent occurred, the items were added to the QTreeWidget, but it was never emptied

before that.

Attached is a patch that should fix the problem.

#2 - 2011-08-05 06:04 AM - Nathan Woodrow

- Resolution changed from invalid to fixed

- Status changed from Open to Closed

Patch applied in commit:2034d59a2f503f7bec3d by Werner Macho

Thanks for the patch!

Files

bug4113fix.patch 754 Bytes 2011-08-04 Jan Schreiber
